vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 4
声望: 0

最近在学习 陈晓优讲师的量化课程,但是教程中第6课和第10课中都有用到数据导入数据库的功能,可是我在实践运行中,总是提示各种错误,尝试处理后, 现在所有的错误都指向缺少 talib 库, 而此库为第三方库,始终不能成功安装。
求指导, 谢谢!

Administrator
avatar
加入于:
帖子: 2976
声望: 133

请使用VNStudio,全部都内置了。卸载干净所有Python环境,只装VNStudio即可

Member
avatar
加入于:
帖子: 4
声望: 0

首先非常感谢前辈的回复和指导!
在此追问下:

  1. 教程中提到安装VNConda即可,但事实装完没有mongodb, jupyter. 而且微信登录后的界面看起来与教程不太一样。 因此我猜想,除了安装这个,还得再装上VNStudio. (Right?)
  2. 官网上下载的Studio 为2.1.0 版本,装完后确认环境变量有设置好。 但是需要切换到Script目录下,才能在CMD 模式下启动Jupyter notebook, 在其它路径上无法启动。。
    另外, VNStudio 默认的python 3.7, 好像是因为支持库的原因需要python2吧, 这样的话,我是否需要手动降低python版本呢?
Administrator
avatar
加入于:
帖子: 2976
声望: 133

你可能看了比较老的教程吧,请关注vnpy-community公众号,上面有2.0的全新教程

Administrator
avatar
加入于:
帖子: 2976
声望: 133

2.0的vn.py

  1. 默认使用sqlite,不依赖mongodb
  2. 只支持Python 3.7+,64位
© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3